#!/bin/bash
source ./account
source ./bucket

FOLDER="/home/drudoo/Pi2/immich"

EXCLUDE='lost+found'

if pidof -x restic > /dev/null; then
	echo "Restic backup is already running"
	exit
else
	echo "Starting backup: $FOLDER to $RESTIC_BUCKET"
fi


if mount | grep /home/drudoo/Pi2 > /dev/null; then
	echo "Mount exists"
else
	exit
fi


restic -v -r b2:$RESTIC_BUCKET backup $FOLDER -o b2.connections=50

day=$(date +"%u")
if [[ day -eq 5 ]]; then
	echo "Deleting old backups"
	restic -r b2:$RESTIC_BUCKET forget --keep-daily 7 --keep-weekly 4 --keep-monthly 6 --keep-yearly 2 --prune
	restic -r b2:$RESTIC_BUCKET check
fi

